Skip to main content
GET
List Registrations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
string | null

Filter by status

course_id
string | null

Filter by course (single UUID or comma-separated UUIDs for OR)

ship_id
string | null

Filter by ship (single UUID or comma-separated UUIDs for OR)

role
string | null

Filter by role (single role or comma-separated roles for OR)

limit
integer
default:10

Items per page

Required range: 1 <= x <= 1000
cursor
string | null

Pagination cursor

search
string | null

Search term

Maximum string length: 200
include_count
boolean
default:false

Include total count

Response

Successful Response

items
RegistrationDetailDTO · object[]
required
nextCursor
string | null
hasMore
boolean
default:false
totalCount
integer | null